DU(1)

NAAM
du - schat schijfruimte gebruik

SAMENVATTING
du [OPTIE]... [BESTAND]...
du [OPTIE]... --files0-from=LST

BESCHRIJVING

Vat het schijfgebruik samen van de BESTAND´en, recursief voor mappen.

Een verplicht argument bij een lange optie is ook verplicht voor de korte optie.

-0, --null
    elke regel afsluiten met NUL-byte, niet met nieuwe regel

-a, --all
    waardes tonen voor alle bestanden, niet alleen mappen

-A, --apparent-size
    werkelijke groottes tonen in plaats van schijfbeslag; hoewel meestal kleiner, kan de werkelijke grootte ook groter zijn dan het schijfbeslag, bijvoorbeeld door gaten in ('ijle') bestanden, interne fragmentatie, indirecte blokken en dergelijke

-B, --block-size=GROOTTE
    scale sizes by SIZE before printing them; See SIZE format below; E.g., '-BM' prints sizes in units of 1,048,576 bytes

-b, --bytes
    equivalent to '--apparent-size --block-size=1'

-c, --total
    een eindtotaal tonen

-D, --dereference-args
    alleen direct gegeven symbolische koppelingen volgen

-d, --max-depth=N
    het totaal voor een map (of een bestand, met --all) alleen tonen als deze N of minder niveaus onder het opdrachtregelargument ligt; --max-depth=0 is hetzelfde als --summarize

--files0-from=F
    het schijfgebruik tonen van de op NUL eindigende bestandsnamen die opgesomd staan in bestand LST, als LST '-' is, dan de namen van standaardinvoer lezen

-H  hetzelfde als --dereference-args (-D)

-h, --human-readable
    groottes in leesbare vorm tonen (bijv. 15K, 234M, 2G)

--inodes
    informatie over inode-gebruik i.p.v. blokgebruik tonen

-k  hetzelfde als --block-size=1K

-L, --dereference
    alle symbolische koppelingen volgen

-l, --count-links
    de grootte tellen voor elke harde koppeling

-m  hetzelfde als --block-size=1M

-P, --no-dereference
    symbolische koppelingen niet volgen (standaard)

-S, --separate-dirs
    bij mappen de grootte van submappen niet meetellen

--si
    als -h, maar machten van 1000 i.p.v. 1024 gebruiken

-s, --summarize
    voor elk gegeven argument alleen een totaal tonen

-t, --threshold=GROOTTE
    items weglaten die kleiner zijn dan GROOTTE indien positief, of groter dan GROOTTE indien negatief

--time
    tijd van laatste wijziging tonen van elk bestand in de map, of van alle submappen

--time=WOORD
    toon tijd als een WOORD in plaats van wijzigingstijd; 'atime', 'access', 'use', 'ctime' of 'status'

--time-style=STIJL
    datum/tijd formaat met --time; zie TIJD_STIJL hieronder

-X, --exclude-from=BESTAND
    bestanden weglaten die overeenkomen met een patroon in BESTAND

--exclude=PATROON
    bestanden weglaten die overeenkomen met PATROON

-x, --one-file-system
    mappen op andere bestandssystemen overslaan

--help
    toon de helptekst en stop

--version
    toon programmaversie en stop

Getoonde waarden zijn in eenheden van de eerst beschikbare GROOTTE uit --block-size en de omgevingsvariabelen DU_BLOCK_SIZE, BLOCK_SIZE en BLOCKSIZE. Anders is de eenheid standaard 1024 bytes (of 512 als POSIXLY_CORRECT gezet is).

GROOTTE is een geheel getal met een optionele eenheid (bijv. 10K is 10*1024). Mogelijke eenheden zijn: K, M, G, T, P, E, Z, Y, R, Q (machten van 1024) of KB, MB, ... (machten van 1000). Binaire prefixen mogen ook gebruikt worden: KiB=K, MiB=M, etc.

The --time-style STYLE argument can be full-iso, long-iso, iso, or +FORMAT. FORMAT is interpreted like in date(1). Also the TIME_STYLE environment variable sets the default style to use.

PATRONEN
PATROON is een shell patroon (geen reguliere expressie). Het patroon ? past elk enkel teken, terwijl * past elke tekenreeks (van nul, een of meer tekens). Bijvoorbeeld, *.o past op alle bestanden waarvan de naam op .o eindigt. Daarom, zal het commando:

    du --exclude='*.o'

alle bestanden en submappen overslaan die eindigen op .o (inclusief het bestand .o zelf).

AUTEUR
Geschreven door Torbjorn Granlund, David MacKenzie, Paul Eggert en Jim Meyering.

RAPPORTEREN VAN BUGS
Rapporteer gebreken aan bug-coreutils@gnu.org
Webpagina van GNU coreutils: <https://www.gnu.org/software/coreutils/>
Algemene hulp bij gebruik van GNU-software: <https://www.gnu.org/gethelp/>
Meld alle vertaalfouten op <https://translationproject.org/team/nl.html>

ZIE OOK
Volledige documentatie op: <https://www.gnu.org/software/coreutils/du>
of lokaal via: info '(coreutils) du invocation'

Pakket gemaakt door Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licentie GPLv3+: GNU GPL versie 3 of later <https://gnu.org/licenses/gpl.html>
Dit is vrije software: u mag het vrijelijk wijzigen en verder verspreiden.
Deze software kent GEEN GARANTIE, voor zover de wet dit toestaat.

VERTALING
De Nederlandse vertaling van deze handleiding is geschreven door Mario Blättermann <mario.blaettermann@gmail.com> en Luc Castermans <luc.castermans@gmail.com>

Deze vertaling is vrije documentatie; lees de GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) of later over de Copyright-voorwaarden. Er is geen AANSPRAKELIJKHEID.

Indien U fouten in de vertaling van deze handleiding zou vinden, stuur een e-mail naar debian-l10n-dutch@lists.debian.org.